<h3>
    Backups
</h3>
<hr>
<div class="row">
    <div class="col-xs-4 col-xs-offset-4 text-center">
        {if $pb}
            <div class="alert alert-warning" role="alert">
                <i class="fas fa-exclamation-triangle"></i>&#160;&#160;
                Es wird gerade ein Backup/Restore ausgeführt, bitte warten!
            </div>
            <div class="progress-label">
                {$pb}%
            </div>
            <div class="progress" style="margin-top: 10px;">
                <div class="progress-bar " role="progressbar"
                     style="width: {$pb}%;"
                     aria-valuemax="100"
                     aria-valuemin="0"
                     aria-valuenow="{$pb}"
                ></div>
            </div>
            <script defer type="text/javascript">
                setTimeout(function () {
                    window.location.reload();
                }, 5000)
            </script>
        {else}
            <form method="post" action="clientarea.php?action=productdetails&page=backups&id={$serviceid}">
                <input type="hidden" name="id" value="{$serviceid}" />
                <input type="hidden" name="modop" value="custom" />
                <input type="hidden" name="a" value="backupCreate" />

                <button type="submit" class="btn btn-block btn-success">
                    Backup jetzt erstellen
                </button>
            </form>
        {/if}
    </div>
</div>
<hr>
{if !$pb}
<h4>
    Backup wiederherstellen
</h4>
<div class="row">
    <div class="col-xs-12">
        {foreach from=$backups item=backup}
            <form method="post" action="clientarea.php?action=productdetails&page=backups&id={$serviceid}">
                <input type="hidden" name="id" value="{$serviceid}" />
                <input type="hidden" name="modop" value="custom" />
                <input type="hidden" name="a" value="backupRestore" />
                <input type="hidden" name="backup" value="{$backup}" />

                <button
                        type="submit"
                        class="btn btn-block btn-default"
                        style="display: inline-block;">
                    {$backup|date_format:"%d.%m.%Y %H:%M"}
                </button>
            </form>
            {foreachelse}
            <div class="alert alert-warning" role="alert">
                <i class="fas fa-exclamation-triangle"></i>&#160;&#160;
                Für Ihren Server gibt es noch keine Backups.
            </div>
        {/foreach}
    </div>
</div>
{/if}